@ECHO OFF

REM -- Check environment
IF %PROCESSOR_ARCHITECTURE% NEQ AMD64 (
	ECHO ERROR: This script must be run from 64-bit command prompt
	PAUSE
	EXIT /B 1
)
NET SESSION > NUL
IF %ERRORLEVEL% NEQ 0 (
	ECHO ERROR: This script must be run from elevated command prompt
	PAUSE
	EXIT /B 1
)

ECHO Adding HTTPS bindings...
REM -- For SslFlags value see https://www.iis.net/configreference/system.applicationhost/sites/site/bindings/binding
powershell New-WebBinding -Name www.northwind.com -Protocol https -Port 443 -HostHeader www.northwind.com -SslFlags 3
powershell New-WebBinding -Name www.northwind.com -Protocol https -Port 443 -HostHeader northwind.com -SslFlags 3
powershell New-WebBinding -Name www.example.com -Protocol https -Port 443 -HostHeader www.example.com -SslFlags 3
powershell New-WebBinding -Name www.example.com -Protocol https -Port 443 -HostHeader example.com -SslFlags 3
powershell New-WebBinding -Name www.contoso.com -Protocol https -Port 443 -HostHeader www.contoso.com -SslFlags 3
powershell New-WebBinding -Name www.contoso.com -Protocol https -Port 443 -HostHeader contoso.com -SslFlags 3
powershell New-WebBinding -Name www1.example.com -Protocol https -Port 443 -HostHeader www1.example.com -SslFlags 3
powershell New-WebBinding -Name www2.example.com -Protocol https -Port 443 -HostHeader www2.example.com -SslFlags 3
powershell New-WebBinding -Name www3.example.com -Protocol https -Port 443 -HostHeader www3.example.com -SslFlags 3
powershell New-WebBinding -Name www4.example.com -Protocol https -Port 443 -HostHeader www4.example.com -SslFlags 3
powershell New-WebBinding -Name www5.example.com -Protocol https -Port 443 -HostHeader www5.example.com -SslFlags 3

ECHO Enabling CCS https binding in http.sys
netsh http add sslcert ccs=443 appid={7276352B-8070-4B14-822A-4B72E20F0DBE}